package gui;

import clientP2P.*;
import clientP2P.ClientInterface;
import clientP2P.ClientManagement;
import tools.SearchFile;
import tools.LogLevel;
import tools.Logger;
import java.util.Scanner;
import localException.ProtocolError;
import localException.InternalError;
import localException.ProtocolError;
import localException.SizeError;
import localException.TransmissionError;
import localException.VersionError;
import localException.SocketClosed;
import remoteException.EmptyFile;
import remoteException.EmptyDirectory;
import remoteException.InternalRemoteError;
import remoteException.NotFound;
import remoteException.ProtocolRemoteError;
import remoteException.VersionRemoteError;
import remoteException.NotATracker;
import remoteException.UnknownHost;
import java.io.IOException;
import java.net.UnknownHostException;
import java.net.SocketException;
import javax.swing.JFrame;

public class DownloadFileGUI extends JPanel{

	private String fileToDownload;
	private ClientManagement clientManagement;
	private Logger logger;
	private Scanner scanner;

	public DownloadFileGUI(String fileToDownload, ClientManagement clientManagement, Logger logger, Scanner scanner){
		this.fileToDownload = fileToDownload;
		this.clientManagement = clientManagement;
		this.logger = logger;
		this.scanner = scanner;
	}

	public void download(){
			try {
					clientManagement.download(fileToDownload);

					ErrorFrame erreur = new ErrorFrame("File " + f + " sucessfully downloaded");
				} else {

					ErrorFrame erreur = new ErrorFrame("File " + f + " unsucessfully downloaded, wrong number");
				}
			} catch (NumberFormatException e) {
					ErrorFrame erreur = new ErrorFrame("File " + f + " unsucessfully downloaded, wrong number"),
			}
	}

}
